Skip to main content
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Retrieve a function from a given definition
curl --request GET \
  --url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey='
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the application associated with the custom workflow action.

definitionId
string
required

The ID of the custom workflow action definition.

functionId
string
required

The ID of the specific function within the workflow action definition.

functionType
enum<string>
required

The type of function, accepted values are: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

successful operation

functionSource
string
required

The source code or script that defines the function's behavior.

functionType
enum<string>
required

The type of function, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

The unique identifier for the action function.

Last modified on February 12, 2026